# Solving Multi-Structured Problems by Introducing Linkage Kernels - Data
This dataset contains the raw result data for the work "Solving Multi-Structured Problems by Introducing Linkage Kernels" (ArXiv: https://doi.org/10.48550/arXiv.2203.05970, submitted to GECCO 2022), as part of Arthur Guijt's PhD thesis project, under DAEDALUS, NWO Grant 18373. For details on the experimental setup, we refer to the aforementioned work.

Hardware used to obtain these results is a single server with 2x AMD EPYC 7282 @ 2.8 GHz with 32 cores total with 252 GB of RAM.

In order to facilitate comparisons with the proposed approach, and allow for reuse of our problem instances, the following data is made available.

## Overview
### Reference Fronts for Multi-Objective comparisons
- reference_fronts.zip

Note: the original instances are part of the source code repository, or are generated on the fly by our code. However, the reference fronts require a significant amount of computational resources to obtain, and are much more numerous.

### Raw Data for Single-Objective runs
- **paper_singleobjective_e963b42_bot.csv.gz** - data for best-of-traps
- **paper_singleobjective_e963b42_maxcut.csv.gz** - data for maxcut, most l.
- **2021-12-24-paper_singleobjective_extra_1fc247f_maxcut.csv.gz** - data for maxcut, l = 200
- **2022-01-25-paper_singleobjective_19451c0_wo_maxcut.csv.gz** - data for worst-of-maxcut

The raw data that is processed to obtain the graphs in the paper. Can be used for plotting a comparison or performing statistical tests. Note for future usage: time-based comparisons should be adjusted for CPU speed.

### Raw Data for Multi-Objective runs
- **2021-12-20-paper_multiobjective_9c2eeca_hv.tar.gz** - tarball of hypervolume at every 100000 evaluations for BoT vs BoT, BoT vs MaxCut and MaxCut vs MaxCut
- **2021-12-20-paper_multiobjective_9c2eeca_archives.zip** - Final elitist archives of runs, for multi-objective front plots
- **reference_fronts.zip** - Reference fronts, required for computing hypervolume & including the reference plot in the multi-objective front plot.

## Contact Information
For any questions, contact Arthur Guijt:
|||
|--------|---------------------|
|e-mail: | arthur.guijt@cwi.nl |
| address: | P.O. Box 94079<br/>1090 GB Amsterdam<br/>NETHERLANDS |